SLIDETOOL(1)

NAME
slidetool - Retrieve data from whole slide images

SYNOPSIS
slidetool [--help] [--version]
slidetool assoc icc read file name [output-file]
slidetool assoc list file...
slidetool assoc read file name [output-file]
slidetool prop get property file...
slidetool prop list [--names] file...
slidetool region icc read file [output-file]
slidetool region read file x y level width height [output-file]
slidetool slide open file...
slidetool slide quickhash1 file...
slidetool slide vendor file...

DESCRIPTION
slidetool uses OpenSlide to retrieve data from whole slide images, also known as virtual slide files.

  slidetool assoc icc read
Write the associated image's ICC color profile to output-file if specified, and otherwise to standard output. If no ICC color profile is available, fail.

  slidetool assoc list
List associated images for one or more slides. Associated images are small non-pyramidal images containing additional information about the slide, such as its label.

  slidetool assoc read
Write the associated image with the specified name to a PNG image. If output-file is not specified, the image will be written to standard output.

  slidetool prop get
Print a single OpenSlide property value for one or more slides. Properties are individual pieces of textual metadata about the slide. Properties prefixed with openslide. are defined by OpenSlide; others are defined by the individual slide format.

  slidetool prop list
Print all OpenSlide properties for one or more slides.

  slidetool region icc read
Write the slide's ICC color profile to output-file if specified, and otherwise to standard output. If no ICC color profile is available, fail.

  slidetool region read
Write a region of the specified level of a slide to a PNG image. x and y are pixel coordinates in level 0, the highest-resolution slide level. width and height are pixel dimensions in the specified level. If output-file is not specified, the image will be written to standard output. The dimensions of each level of a slide can be obtained with slidetool prop list.

  slidetool slide open
Check whether OpenSlide can open one or more slide files.

  slidetool slide quickhash1
Print OpenSlide quickhash-1 checksums for one or more slides, in a format similar to sha256sum(1).

quickhash-1 is a non-cryptographic, 256-bit hash of a subset of a slide's data. It uniquely identifies a particular slide, but cannot be used to detect corruption or modification of the slide file.

quickhash-1 is not defined for all slide files supported by OpenSlide. If a slide does not have a quickhash-1, "No quickhash-1 available" will be printed.

  slidetool slide vendor
Report the detected OpenSlide vendor name for one or more slide files.

OPTIONS

--help
    Display usage summary.

--names
    For slidetool prop list, omit property values.

--version
    Display version and copyright information.

EXIT STATUS
slidetool returns 0 on success, 1 if a slide file could not be read, or 2 if the arguments are invalid.

COPYRIGHT
Copyright © 2007-2023 Carnegie Mellon University and others

OpenSlide is free software: you can redistribute it and/or modify it under the terms of the

OpenSlide comes with NO WARRANTY, to the extent permitted by law. See the GNU Lesser General Public License for more details.

SEE ALSO
openslide-quickhash1sum(1), openslide-show-properties(1), openslide-write-png(1), sha256sum(1)